Package ch.qos.logback.classic.spi

# Class LoggingEventVO

java.lang.Object
ch.qos.logback.classic.spi.LoggingEventVO

All Implemented Interfaces:
  `ILoggingEvent`, `DeferredProcessingAware`, `Serializable`

public class LoggingEventVO extends Object implements ILoggingEvent, Serializable
A read-only and serializable implementation of `ILoggingEvent`.

Since:
  0.9.16
Author:
  Ceki Gülcü
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LoggingEventVO()`

## Method Summary

Modifier and Type
Method
Description
`static LoggingEventVO`
`build(ILoggingEvent le)`
`boolean`
`equals(Object obj)`
`Object[]`
`getArgumentArray()`
`StackTraceElement[]`
`getCallerData()`
Return caller data associated with this event.
`long`
`getContextBirthTime()`
`LoggerContextVO`
`getContextLoggerRemoteView()`
`String`
`getFormattedMessage()`
`Level`
`getLevel()`
`LoggerContextVO`
`getLoggerContextVO()`
`String`
`getLoggerName()`
`org.slf4j.Marker`
`getMarker()`
`Map<String,String>`
`getMdc()`
Synonym for [@link #getMDCPropertyMap}.
`Map<String,String>`
`getMDCPropertyMap()`
Returns the MDC map.
`String`
`getMessage()`
`String`
`getThreadName()`
`IThrowableProxy`
`getThrowableProxy()`
`long`
`getTimeStamp()`
`boolean`
`hasCallerData()`
If this event has caller data, then true is returned.
`int`
`hashCode()`
`void`
`prepareForDeferredProcessing()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggingEventVO

public LoggingEventVO()

## Method Details

### build

public static LoggingEventVO build(ILoggingEvent le)

### getThreadName

public String getThreadName()

Specified by:
  `getThreadName` in interface `ILoggingEvent`

### getLoggerContextVO

public LoggerContextVO getLoggerContextVO()

Specified by:
  `getLoggerContextVO` in interface `ILoggingEvent`

### getLoggerName

public String getLoggerName()

Specified by:
  `getLoggerName` in interface `ILoggingEvent`

### getLevel

public Level getLevel()

Specified by:
  `getLevel` in interface `ILoggingEvent`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `ILoggingEvent`

### getFormattedMessage

public String getFormattedMessage()

Specified by:
  `getFormattedMessage` in interface `ILoggingEvent`

### getArgumentArray

public Object[] getArgumentArray()

Specified by:
  `getArgumentArray` in interface `ILoggingEvent`

### getThrowableProxy

public IThrowableProxy getThrowableProxy()

Specified by:
  `getThrowableProxy` in interface `ILoggingEvent`

### getCallerData

public StackTraceElement[] getCallerData()
Description copied from interface: `ILoggingEvent`
Return caller data associated with this event. Note that calling this event may trigger the computation of caller data.

Specified by:
  `getCallerData` in interface `ILoggingEvent`
Returns:
  the caller data associated with this event.
See Also:
  - `ILoggingEvent.hasCallerData()`

### hasCallerData

public boolean hasCallerData()
Description copied from interface: `ILoggingEvent`
If this event has caller data, then true is returned. Otherwise the returned value is null.

Logback components wishing to use caller data if available without causing it to be computed can invoke this method before invoking `ILoggingEvent.getCallerData()`.

Specified by:
  `hasCallerData` in interface `ILoggingEvent`
Returns:
  whether this event has caller data

### getMarker

public org.slf4j.Marker getMarker()

Specified by:
  `getMarker` in interface `ILoggingEvent`

### getTimeStamp

public long getTimeStamp()

Specified by:
  `getTimeStamp` in interface `ILoggingEvent`

### getContextBirthTime

public long getContextBirthTime()

### getContextLoggerRemoteView

public LoggerContextVO getContextLoggerRemoteView()

### getMDCPropertyMap

public Map<String,String> getMDCPropertyMap()
Description copied from interface: `ILoggingEvent`
Returns the MDC map. The returned value can be an empty map but not null.

Specified by:
  `getMDCPropertyMap` in interface `ILoggingEvent`

### getMdc

public Map<String,String> getMdc()
Description copied from interface: `ILoggingEvent`
Synonym for [@link #getMDCPropertyMap}.

Specified by:
  `getMdc` in interface `ILoggingEvent`

### prepareForDeferredProcessing

public void prepareForDeferredProcessing()

Specified by:
  `prepareForDeferredProcessing` in interface `DeferredProcessingAware`
Specified by:
  `prepareForDeferredProcessing` in interface `ILoggingEvent`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`